## cl-modlisp 0.6

=== doc/Makefile ===
.PHONY: site all clean

all: site

site: 
	sbcl --userinit `pwd`/make.lisp

clean:
	@rm -f *~ \#*\# .\#* memdump

=== debian/changelog ===
cl-modlisp (0.6-7.3) unstable; urgency=medium

  * Non-maintainer upload.
  * d/copyright: Convert to machine-readable format.
  * Convert to source format 3.0 (Closes: #1073017).

 -- Bastian Germann <bage@debian.org>  Thu, 18 Sep 2025 00:07:54 +0200

cl-modlisp (0.6-7.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep} (Closes: #998947).

 -- Marcos Talau <talau@debian.org>  Tue, 01 Nov 2022 23:30:21 -0300

cl-modlisp (0.6-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No-change rebuild to remove dependency on common-lisp-controller.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 18 Sep 2019 12:31:10 +0200

cl-modlisp (0.6-7) unstable; urgency=low

  * Add doc-base file

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 16 Nov 2009 18:36:07 -0700

cl-modlisp (0.6-6) unstable; urgency=low

  * debian/watch: point towards watchable upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 20 Aug 2009 10:36:40 -0600

cl-modlisp (0.6-5) unstable; urgency=low

  * Convert to dh-lisp
  * control: Add Vcs-Browser field

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 03 Aug 2009 10:47:31 -0600

cl-modlisp (0.6-4) unstable; urgency=low

  * debian/watch: New file
  * debian/control: Require debhelper 7. Change to new lisp section.
  Add Vcs-Git and Homepage fields.
  * debian/compat: Update to version 7
  * debian/rules: Update for debhelper 7, architecture-independent build
  * debian/{prerm,postrm}: Remove path from binary function

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 02 Aug 2009 02:10:35 -0600

cl-modlisp (0.6-3) unstable; urgency=low

  * Depend on libapache2-mod-lisp (closes:466317)

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 18 Feb 2008 04:34:42 -0700

cl-modlisp (0.6-2) unstable; urgency=low

  * debian/control: Use build-depends, update standards-version

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 09 Sep 2007 19:52:00 -0600

cl-modlisp (0.6-1) unstable; urgency=low

  * New upstream, add upstream changelog

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 21 Oct 2003 18:43:05 -0600

cl-modlisp (0.5.1-1) unstable; urgency=low

  * Don't export non-existent symbol (closes:215173)

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 11 Oct 2003 13:26:16 -0600

cl-modlisp (0.5.0-1) unstable; urgency=low

  * Add support for remote-host-checker

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 11 Jul 2003 00:59:47 -0600

cl-modlisp (0.4.0-1) unstable; urgency=low

  * init/listener: Add timeout and number-fixed-workers keywords
  * update readme.lml

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 10 Jul 2003 20:43:58 -0600

cl-modlisp (0.3.1-1) unstable; urgency=low

  * Add documentation file

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 10 Jul 2003 14:23:25 -0600

cl-modlisp (0.3-1) unstable; urgency=low

  * New version

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 10 Jul 2003 12:52:34 -0600

cl-modlisp (0.2-1) unstable; urgency=low

  * New upstream version

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue,  8 Jul 2003 06:11:56 -0600

cl-modlisp (0.1-1) unstable; urgency=low

  * First upload

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri,  4 Jul 2003 13:47:20 -0600

=== debian/control ===
Source: cl-modlisp
Section: lisp
Priority: optional
Maintainer: Kevin M. Rosenberg <kmr@debian.org>
Build-Depends-Indep: dh-lisp
Build-Depends: debhelper (>> 7.0.0)
Standards-Version: 3.8.3.0
Vcs-Git: git://git.b9.com/cl-modlisp.git
Vcs-Browser: http://git.b9.com/?p=cl-modlisp.git

Package: cl-modlisp
Architecture: all
Depends: ${misc:Depends},libapache2-mod-lisp,cl-kmrcl
Description: Common Lisp interface to the Apache mod-lisp module
 cl-modlisp provides a Common Lisp interface to the mod_lisp Apache module.
 The mod_lisp is a low-level Apache interface. This package provides a
 higher level layer on top of mod_lisp.
 The package has support for CMUCL, SBCL, CLISP, AllegroCL, and Lispworks.

=== debian/rules ===
#!/usr/bin/make -f

pkg		:= modlisp
debpkg		:= cl-modlisp

clc-source	:= usr/share/common-lisp/source
clc-systems	:= usr/share/common-lisp/systems
clc-files	:= $(clc-source)/$(pkg)
doc-dir		:= usr/share/doc/$(debpkg)

build:

clean:
	dh_testdir
	dh_testroot
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_install modlisp.asd $(clc-files)
	dh_install *.lisp $(clc-files)

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs doc/readme.html
	dh_installexamples
	dh_installchangelogs
	dh_lisp
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:

binary: binary-indep binary-arch

build-arch: build
build-indep: build

.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://files.b9.com/cl-modlisp/cl-modlisp-([\d\.]*)\.tar\.gz
